---
category: [Administration & Integrations, Administration & Integrations/Workday API, Platform and Product Extensions, Platform and Product Extensions/Integration]
nav: wcp_docs
parent_url: /wcp_docs/
title: >- 
  Reference: Budget Check
layout: subsection
---

## <a id="section_urlBasePath"></a>URL Base Path

<b>Workday API Gateway Base Path</b>

For REST API calls in Workday Extend and Orchestrate for Integrations, use the regional API Gateway base URL for your account. See [Reference: Workday Extend API Gateways and Authorization Base URLs](https://developer.workday.com/documentation/dlh1653340161856) on the Developer Site. Note that the API Gateway base URL doesn’t include the tenant name.

<b>Tenant Base Path</b>

For traditional Integrations using tenanted REST APIs calls:

```
https://<hostname>/api/budgets/<version>/<tenant>
```

Example:

```
https://yourTenantHostName.com/api/budgets/v1/gms
```

## <a id="section_N1005C_N10011_N10001"></a>Description

Performs a budget check against input details for a transaction before or after the transaction happens. Returns the budget check status.

## <a id="GET"></a>POST Budget Check

```
POST /runBudgetCheck
 
```

Secured by: <i>Budgets REST APIs</i> security domain.

Use this method to submit transaction input details, perform a budget check, and retrieve the budget check status.

This method doesn't persist data into Workday. It's a read-only POST.

You supply a JSON format body with your request. In the request body, supply values for these fields:

<table><thead><tr><th>Field</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td><i>company</i></td><td>ID</td><td>Workday ID or Reference ID that represents the company for the budget check.</td></tr><tr><td><i>date</i></td><td>Date</td><td>Date that Workday initiates the budget check.</td></tr><tr><td><i>currency</i></td><td>ID</td><td>Workday ID or Reference ID that represents the currency for the transaction amount of the budget check.</td></tr><tr><td><i>transactionLines</i></td><td><i>checkBudgetLines</i></td><td>Container element for budget lines.</td></tr><tr><td><i>ledgerAccount</i></td><td>ID</td><td>Workday ID that represents the ledger account for the budget check.</td></tr><tr><td><i>accountingWorktags</i></td><td>ID</td><td>Workday IDs that represent a set of transaction accounting worktags.</td></tr><tr><td><i>transactionAmount</i></td><td>Number</td><td>Transaction amount for the budget check.</td></tr></tbody></table><br/>

The response body is in JSON format.

<table><thead><tr><th>Field</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td><i>company</i></td><td>ID</td><td>Workday ID or Reference ID that represents the company for the budget check.</td></tr><tr><td><i>date</i></td><td>Date</td><td>Date that Workday initiates the budget check.</td></tr><tr><td><i>currency</i></td><td>ID</td><td>Workday ID or Reference ID that represents the currency for the transaction amount of the budget check.</td></tr><tr><td><i>overallStatus</i></td><td>ID</td><td>Workday ID and descriptor of overall budget check status.</td></tr><tr><td><i>transactionLines</i></td><td><i>checkBudgetLines</i></td><td>Container element for budget lines.</td></tr><tr><td><i>ledgerAccount</i></td><td>ID</td><td>Workday ID that represents the ledger account for the budget check.</td></tr><tr><td><i>accountingWorktags</i></td><td>ID</td><td>Workday IDs that represent a set of transaction accounting worktags.</td></tr><tr><td><i>transactionAmount</i></td><td>Number</td><td>Transaction amount for the budget check.</td></tr><tr><td><i>currency</i></td><td>ID</td><td>Currency for amounts that the budget check returns.</td></tr><tr><td><i>planLedgerAccountOrSummary</i></td><td>ID</td><td>Workday ID of the plan ledger Account or ledger account summary that is subject to budget check.</td></tr><tr><td><i>planAccountingWorktags</i></td><td>ID</td><td>Workday IDs for a set of plan accounting worktags that are subject to budget check.</td></tr><tr><td><i>planAmount</i></td><td>Number</td><td>Plan amount that Workday checks the transaction against for budget check.</td></tr><tr><td><i>spendAmount</i></td><td>Number</td><td>Total amount of spend that already exists against this budget.</td></tr><tr><td><i>availableAmount</i></td><td>Number</td><td>Available budget amount after existing spend and the current transaction amount.</td></tr><tr><td><i>plan</i></td><td>ID</td><td>Workday ID and descriptor for plan that is subject to budget check.</td></tr><tr><td><i>lineStatus</i></td><td>ID</td><td>Workday ID and descriptor for status of the line-level budget check.</td></tr></tbody></table><br/>

